﻿using System.Web.Mvc;

namespace Ninject.MVC.Controllers
{
  public class WeatherController : Controller
  {
    private readonly IWeatherDataRepository _weatherDataRepository;

    public WeatherController(IWeatherDataRepository weatherDataRepository)
    {
      _weatherDataRepository = weatherDataRepository;
    }

    public ActionResult Index(string city)
    {
      return View(_weatherDataRepository.Data(city));
    }
  }
}
